/companies/{company_id}/pinned_attachments Get the list of attachments pinned to this company
The list of attachments is collected from the attachments pinned to all the contacts in this company. The list of attachments is sorted based on "pinned_at" field, i.e. most recent attachments come first, the list of attachments is paginated.
Path parameters
| Name | Type | Description |
|---|---|---|
company_id req | string | Company ID |
Responses
200 OK
statusintegerint32Response code
messagestringResponse message
timestampintegerunix-timestampResponse time
dataobjectobject fields →
pinned_attachmentsarray<object>array item fields →
idstringbson-idID of the attachment
filenamestringrequiredName of the attachment file
custom_filenamestringCustom name of the attachment file
pinnedbooleanShow if the attachment is pinned to its owner contact
pinned_atstringShows pinned at timestamp. Is null if pinned == false
sizeintegerint32requiredSize of the attachment file (in bytes)
storage_providerstringName of the storage provider (where the attachment file is stored)
enum: amazon · google_drive · dropbox · evernote
urlstringExternal URL of the attachment file
url_expires_atstringdate-timeThe time the attachment URL expires
thumbnailobjectAn image preview of the attachment file (if one exists)
object fields →
urlstringExternal URL of the attachment's thumbnail
total_countintegerint32Total number of items
pageintegerint32Current page number
per_pageintegerint32Number of items returned in each page
max_pageintegerint32The page number of the last page of items
Standard error responses: 400 · 401 · 403 · 404 · 409 · 500 — shared across the API. See Errors.